## org.apache.poi.hssf.record
Class HideObjRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.HideObjRecord

    public final class HideObjRecord

extends StandardRecord

Title: Hide Object Record

Description: flag defines whether to hide placeholders and object

REFERENCE: PG 321 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` `HIDE_ALL`
`static short` `SHOW_ALL`
`static short` `SHOW_PLACEHOLDERS`
`static short` `sid`

Constructor Summary
`HideObjRecord()`
`HideObjRecord(RecordInputStream in)`

Method Summary
`protected int` `getDataSize()`
`short` `getHideObj()` get hide object options
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setHideObj(short hide)` set hide object options
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### HIDE_ALL

    public static final short HIDE_ALL

See Also:
  Constant Field Values

### SHOW_PLACEHOLDERS

    public static final short SHOW_PLACEHOLDERS

See Also:
  Constant Field Values

### SHOW_ALL

    public static final short SHOW_ALL

See Also:
  Constant Field Values

Constructor Detail

### HideObjRecord

    public HideObjRecord()

### HideObjRecord

    public HideObjRecord(RecordInputStream in)

Method Detail

### setHideObj

    public void setHideObj(short hide)

  set hide object options

  Parameters:
    `hide` - options
  See Also:
    `HIDE_ALL`, `SHOW_PLACEHOLDERS`, `SHOW_ALL`

### getHideObj

    public short getHideObj()

  get hide object options

  Returns:
    hide options
  See Also:
    `HIDE_ALL`, `SHOW_PLACEHOLDERS`, `SHOW_ALL`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.